Name:           python-google-apputils
Version:        0.4.2
Release:        16
Summary:        Google Application Utilities for Python
License:        ASL 2.0
URL:            https://github.com/google/google-apputils
Source0:        https://pypi.python.org/packages/source/g/google-apputils/google-apputils-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools python3-dateutil python3-gflags python3-pytz

%description
This project is a small collection of utilities for Python applications.
It includes some of the same set of utilities used to build and
run internal Python apps at Google.

%package        -n python3-google-apputils
Summary:        Google Application Utilities for Python3
Requires:       python3-dateutil python3-gflags python3-pytz

%description    -n python3-google-apputils
This project is a small collection of utilities for Python3 applications.
It includes some of the same set of utilities used to build and
run internal Python apps at Google.

%prep
%autosetup -c
mv google-apputils-%{version} python3
2to3 --write --nobackups python3

%build
cd python3
%py3_build
cd ..

%install
cd python3
%{__python3} setup.py install --skip-build --root %{buildroot}
cd ..

%check

%files -n python3-google-apputils
%license python3/LICENSE
%doc python3/README
%{python3_sitelib}/*

%changelog
* Wed Oct 21 2020 leiju4 <leiju4@huawei.com> 0.4.2-16
- remove python2 subpackage

* Wed Jan 8 2020 zhujunhao <zhujunhao5@huawei.com> 0.4.2-15
- Package init
